API
Data API
Brands
Methods allow you to get a list of portal brands or information on a specific brand.

Return a list of brands.
Request example
GET /brands
GET
https://instance_name/api/data/v1.0/brands/
Header Parameters
- AuthorizationstringrequiredDescriptionString in "Token XXXXXX..." format.
Body Parameters
- limitIntegerDescriptionThe number of results to return per page.
- offsetIntegerDescriptionThe initial index from which to return the results.
curl
curl –i –X GET
https://test.eyrene.com/api/data/v1.0/brands/
-H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’
–F "limit=30" \
–F "offset=30" 200
{
"count":100,
"next":"https://test.eyrene.com/api/data/v1.0/brands/?limit=30&offset=30",
"previous":null,
"results":[
{
"id":31,
"name":"ALPEN GOLD"
},
{
"id":32,
"name":"BONVIDA"
},
{
"id":33,
"name":"BUSHIDO"
},
{
"id":34,
"name":"CARTE NOIRE"
},
{
"id":35,
"name":"DAVIDOFF COFFEE"
},
{
"id":36,
"name":"DIROL"
},
{
"id":37,
"name":"DOLCE ALBERO"
}"..."
]
}Response parameters​

count integer
The number of brands.

next string (uri) Nullable
Next page.

previous string (uri) Nullable
Previous page.

results array of objects
An array of objects with information about brands.
- id integer Brand ID.
- name string [ 1 .. 255 ] characters Brand name.



Return information about the brand by ID.
Request example
GET /brand/{id}
GET
https://instance_name/api/data/v1.0/brand/{id}
Path Parameters
- idstringrequiredDescriptionBrand ID.
Header Parameters
- AuthorizationstringrequiredDescriptionString in "Token XXXXXX..." format.
curl
curl –i –X GET
https://test.eyrene.com/api/data/v1.0/brands/19765/
-H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’
–F "limit=3" \
–F "offset=0" 200
{
"id":19765,
"name":"BUSHIDO"
}Response parameters​

id integer
Brand ID.

name string [ 1 .. 255 ] characters
Brand name.